aboutsummaryrefslogtreecommitdiff
path: root/bake.sh
diff options
context:
space:
mode:
authorGalen Guyer <galen@galenguyer.com>2022-11-01 14:37:08 -0400
committerGalen Guyer <galen@galenguyer.com>2022-11-01 14:37:08 -0400
commit39936056155d197dc911933a89a70cdf1f178be7 (patch)
tree0f482fb3279f8a7923a979f9422811d550d265e7 /bake.sh
parent7bc2fbb44b6f56986256673e7307d06bc8f27cc3 (diff)
Add check for jq, update nginx versions
Diffstat (limited to 'bake.sh')
-rwxr-xr-xbake.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/bake.sh b/bake.sh
index 2ea23fa..bc188db 100755
--- a/bake.sh
+++ b/bake.sh
@@ -14,6 +14,12 @@ else
exit 1
fi
+# check for jq
+if ! command -v jq 2>&1 >/dev/null; then
+ echo "could not find jq, exiting" >&2
+ exit 1
+fi
+
# if no registry is provided, tag image as "local" registry
registry="${REGISTRY:-local}"
echo "using registry $registry..." >&2